package beilv.system.domain;

import beilv.common.annotation.Excel;
import beilv.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 会员用户信息对象 sys_member
 *
 * @author ruoyi
 * @date 2025-01-02
 */
public class SysMember extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    private Long id;

    /**
     * 用户账户(跟accout一样)
     */
    @Excel(name = "用户账户(跟accout一样)")
    private String username;

    /**
     * 用户密码（跟pwd）
     */
    @Excel(name = "用户密码", readConverterExp = "跟=pwd")
    private String password;

    /**
     * 真实姓名
     */
    @Excel(name = "真实姓名")
    private String realName;

    /**
     * 性别
     */
    @Excel(name = "性别")
    private Integer sex;

    /**
     * 生日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /**
     * 身份证号码
     */
    @Excel(name = "身份证号码")
    private String cardId;

    /**
     * 用户头像
     */
    @Excel(name = "用户头像")
    private String avatar;

    /**
     * 手机号码
     */
    @Excel(name = "手机号码")
    private String mobile;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date loginDate;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String loginIp;

    /**
     * 注册ip
     */
    @Excel(name = "注册ip")
    private String registerIp;

    /**
     * 添加ip
     */
    @Excel(name = "添加ip")
    private String addIp;

    /**
     * 最后一次登录ip
     */
    @Excel(name = "最后一次登录ip")
    private String lastIp;

    /**
     * 用户剩余积分
     */
    @Excel(name = "用户剩余积分")
    private BigDecimal integral;

    /**
     * 0为正常，1为禁止
     */
    @Excel(name = "0为正常，1为禁止")
    private Integer status;

    /**
     * 用户类型
     */
    @Excel(name = "用户类型")
    private String userType;

    /**
     * 用户登陆类型，h5,wechat,routine
     */
    @Excel(name = "用户登陆类型，h5,wechat,routine")
    private String loginType;

    /**
     * 微信用户json信息
     */
    @Excel(name = "微信用户json信息")
    private String wxProfile;

    /**
     * 删除
     */
    private Integer delFlag;

    /**
     * 公众号openid
     */
    @Excel(name = "公众号openid")
    private String openId;

    /**
     * 小程序openid
     */
    @Excel(name = "小程序openid")
    private String routineOpenId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getUsername() {
        return username;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPassword() {
        return password;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getRealName() {
        return realName;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Integer getSex() {
        return sex;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getCardId() {
        return cardId;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getMobile() {
        return mobile;
    }

    public void setLoginDate(Date loginDate) {
        this.loginDate = loginDate;
    }

    public Date getLoginDate() {
        return loginDate;
    }

    public void setLoginIp(String loginIp) {
        this.loginIp = loginIp;
    }

    public String getLoginIp() {
        return loginIp;
    }

    public void setRegisterIp(String registerIp) {
        this.registerIp = registerIp;
    }

    public String getRegisterIp() {
        return registerIp;
    }

    public void setAddIp(String addIp) {
        this.addIp = addIp;
    }

    public String getAddIp() {
        return addIp;
    }

    public void setLastIp(String lastIp) {
        this.lastIp = lastIp;
    }

    public String getLastIp() {
        return lastIp;
    }

    public void setIntegral(BigDecimal integral) {
        this.integral = integral;
    }

    public BigDecimal getIntegral() {
        return integral;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getUserType() {
        return userType;
    }

    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }

    public String getLoginType() {
        return loginType;
    }

    public void setWxProfile(String wxProfile) {
        this.wxProfile = wxProfile;
    }

    public String getWxProfile() {
        return wxProfile;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setRoutineOpenId(String routineOpenId) {
        this.routineOpenId = routineOpenId;
    }

    public String getRoutineOpenId() {
        return routineOpenId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("username", getUsername())
                .append("password", getPassword())
                .append("realName", getRealName())
                .append("sex", getSex())
                .append("birthday", getBirthday())
                .append("cardId", getCardId())
                .append("avatar", getAvatar())
                .append("mobile", getMobile())
                .append("loginDate", getLoginDate())
                .append("loginIp", getLoginIp())
                .append("registerIp", getRegisterIp())
                .append("addIp", getAddIp())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("lastIp", getLastIp())
                .append("integral", getIntegral())
                .append("status", getStatus())
                .append("userType", getUserType())
                .append("loginType", getLoginType())
                .append("wxProfile", getWxProfile())
                .append("delFlag", getDelFlag())
                .append("openId", getOpenId())
                .append("routineOpenId", getRoutineOpenId())
                .toString();
    }
}
